Summary: YAIM module for CREAM service
Name: glite-ce-yaim-cream-ce
Version: 4.4.5
Release: 1%{?dist}%{!?dist:.el5}
License: Apache License 2.0
Vendor: EMI
Group: System Environment/Libraries
BuildArch: noarch
Requires: glite-yaim-core
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%description
YAIM module for CREAM service

%prep

%setup -c -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/glite/yaim/defaults
mkdir -p %{buildroot}/opt/glite/yaim/functions/utils
mkdir -p %{buildroot}/opt/glite/yaim/node-info.d
mkdir -p %{buildroot}/opt/glite/yaim/examples/siteinfo/services
mkdir -p %{buildroot}/opt/glite/yaim/etc/versions
echo "glite-ce-yaim-cream-ce 4.4.5-1" >%{buildroot}/opt/glite/yaim/etc/versions/glite-ce-yaim-cream-ce

cp %{_builddir}/%{name}-%{version}/config/defaults/glite* %{buildroot}/opt/glite/yaim/defaults
cp %{_builddir}/%{name}-%{version}/config/functions/config* %{buildroot}/opt/glite/yaim/functions
cp %{_builddir}/%{name}-%{version}/config/functions/utils/*_* %{buildroot}/opt/glite/yaim/functions/utils
cp %{_builddir}/%{name}-%{version}/config/node-info.d/glite* %{buildroot}/opt/glite/yaim/node-info.d
cp %{_builddir}/%{name}-%{version}/config/services/glite* %{buildroot}/opt/glite/yaim/examples/siteinfo/services


%clean
rm -rf %{buildroot}

 

%files
%defattr(-,root,root)
/opt/glite/yaim/defaults/glite-creamce.pre
/opt/glite/yaim/defaults/glite-creamce.post
/opt/glite/yaim/etc/versions/glite-ce-yaim-cream-ce
/opt/glite/yaim/functions/config_canl_java_tomcat
/opt/glite/yaim/functions/config_cream_*
/opt/glite/yaim/functions/config_info_*
/opt/glite/yaim/functions/utils/*
/opt/glite/yaim/node-info.d/glite-creamce
%dir /opt/glite/yaim/examples/siteinfo/services/
/opt/glite/yaim/examples/siteinfo/services/glite-creamce

%changelog
* Fri May 05 2014 CREAM group <cream-support@lists.infn.it> - 4.4.5-1
- Fixed bug: https://issues.infn.it/jira/browse/CREAM-133

* Mon Oct 14 2013 CREAM group <cream-support@lists.infn.it> - 4.4.4-2
- Fixed bug: https://issues.infn.it/jira/browse/CREAM-127

* Mon Jun 24 2013 CREAM group <cream-support@lists.infn.it> - 4.4.3-2
- Internal restructuring


